View results is not working in Checkbox Qt

Bug #937099 reported by Ara Pulido
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Checkbox
Fix Released
High
Daniel Manrique
checkbox (Ubuntu)
Undecided
Unassigned

Bug Description

The view results button is not working (nothing happens)

This is using checkbox 0.13.2

Related branches

Revision history for this message
Ara Pulido (ara) wrote :

The error in the log is:

2012-02-20 18:24:42,545 ERROR Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 214, in maybe_handle_message
    self._handler(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/checkbox_qt/qt_interface.py", line 65, in onReviewTestsClicked
    self.show_url(self.report_url)
  File "/usr/lib/python2.7/dist-packages/checkbox/user_interface.py", line 217, in show_url
    sys.exit(1)
SystemExit: 1
2012-02-20 18:24:42,549 ERROR Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 214, in maybe_handle_message
    self._handler(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/checkbox_qt/qt_interface.py", line 65, in onReviewTestsClicked
    self.show_url(self.report_url)
  File "/usr/lib/python2.7/dist-packages/checkbox/user_interface.py", line 217, in show_url
    sys.exit(1)
SystemExit: 1

Revision history for this message
Daniel Manrique (roadmr) wrote :

I looked at this a bit, and there's a catch-all except block in user_interface.py that just "eats" the actual exception. I removed that block and this is the error I get:

2012-02-22 12:53:18,188 ERROR Exception in handler for D-Bus signal:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 230, in maybe
_handle_message
    self._handler(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/checkbox_qt/qt_interface.py", line 65,
in onReviewTestsClicked
    self.show_url(self.report_url)
  File "/usr/lib/python2.7/dist-packages/checkbox/user_interface.py", line 181,
in show_url
    from gi.repository import Gio
  File "/usr/lib/python2.7/dist-packages/gi/__init__.py", line 23, in <module>
    from ._gi import _API, Repository
ImportError: could not import gobject (error was: ImportError('When using gi.rep
ository you must not import static modules like "gobject". Please change all occ
urrences of "import gobject" to "from gi.repository import GObject".',))

Looks like qt_interface.py does "import gobject" (i.e. doing things "the old-fashioned way"), which later conflicts with user_interface.py's "from gi.repository import Gio" ("new way"). To fix this, modify qt_interface.py so that it does:

from gi.repository import GObject

and then change references to gobject for GObject.

I'll submit a fix in a bit.

Changed in checkbox:
assignee: Canonical Hardware Certification (canonical-hw-cert) → Daniel Manrique (roadmr)
status: Triaged → In Progress
Ara Pulido (ara)
Changed in checkbox:
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package checkbox - 0.13.3

---------------
checkbox (0.13.3) precise; urgency=low

  New upstream release (LP: #939549):

  [Brendan Donegan]
  * Typo in command for for miscellanea/virtualization-check (LP: #934243)
  * Resized test selection views in checkbox-qt (LP: #937113)

  [Daniel Manrique]
  * Use GObject from gi.repository instead of gobject (LP: #937099)
  * Disable flushing to disk after every file access during gathering phase for
    a significant speed boost. (LP: #939019)

  [Javier Collado]
  * Fixed running of disk/read_performance tests (LP: #933528)

  [Sylvain Pineau]
  * Fix depends fields in info and suspend test suites (LP: #934051)
  * Display results report in non-graphical interfaces (LP: #937657)

  [ Tiago Salem Herrmann ]
  * Remove auto generated qt resource file (LP: #938863)

  [Ara Pulido]
  * Fix the Ubuntu Friendly warning message (LP: #939448)
 -- Daniel Manrique <email address hidden> Thu, 23 Feb 2012 11:56:50 -0500

Changed in checkbox (Ubuntu):
status: New → Fix Released
Ara Pulido (ara)
Changed in checkbox:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers